MPIR_Type_dup(3)

NAME
MPIR_Type_dup - create a copy of a datatype

SYNOPSIS
#undef FUNCNAME
#define FUNCNAME MPIR_Type_dup
#undef FCNAME
#define FCNAME MPL_QUOTE(FUNCNAME)
int MPIR_Type_dup(MPI_Datatype oldtype, MPI_Datatype * newtype)

INPUT PARAMETERS
oldtype
    - handle of original datatype

OUTPUT PARAMETERS
newtype
    - handle of newly created copy of datatype

RETURN VALUE
0 on success, MPI error code on failure.